| Home | Libraries | People | FAQ | More

## Function template make_const_step_iterator_begin

boost::numeric::odeint::make_const_step_iterator_begin — Factory function for const_step_iterator. Constructs a begin iterator.

## Synopsis

    // In header: <boost/numeric/odeint/iterator/const_step_iterator.hpp>

    template<typename Stepper, typename System, typename State>
      const_step_iterator< Stepper, System, State >
      make_const_step_iterator_begin(Stepper stepper, System system, State & x,
                                     typename traits::time_type< Stepper >::type t_start,
                                     typename traits::time_type< Stepper >::type t_end,
                                     typename traits::time_type< Stepper >::type dt);

## Description

Parameters: |
`stepper` | The stepper to use during the iteration.
`system` | The system function (ODE) to solve.
`x` | The initial state. const_step_iterator stores a reference of s and changes its value during the iteration.
`t_start` | The initial time.
`t_end` | The end time, at which the iteration should stop.
`dt` | The initial time step.
Returns: | The const step iterator.